#ifdef ARC_GLFW_INPUT
#include "arc/input/mouse.h"

#include "mouse.h"
#include "arc/math/point.h"
#include "arc/std/errno.h"
#include <stdlib.h>
#include <stdint.h>

void ARC_Mouse_CreateWithInput(ARC_Keyboard **keyboard, ARC_Input *input){
}

void ARC_Mouse_Destroy(ARC_Mouse *mouse){
}

void ARC_Mouse_UpdateButton(ARC_Mouse *mouse, uint8_t button, uint32_t *buttons, uint32_t mask){
}

void ARC_Mouse_Update(ARC_Mouse *mouse){
}

ARC_Point *ARC_Mouse_GetCoords(ARC_Mouse *mouse){
    return mouse->coords;
}

ARC_MouseState ARC_Mouse_GetState(ARC_Mouse *mouse, ARC_MouseButton button){
    return mouse->buttons[button];
}

int32_t *ARC_Mouse_GetScrollY(ARC_Mouse *mouse){
    return mouse->scrollY;
}

#endif // ARC_SDL_INPUT